Skip to main content
GET
/
api
/
v1.0
/
virtual-accounts
/
{account_id}
/
{virtual_account_id}
Show
curl --request GET \
  --url https://sandbox-payment-b2b.singapay.id/api/v1.0/virtual-accounts/{account_id}/{virtual_account_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-PARTNER-ID: <api-key>'
{
  "status": 200,
  "success": true,
  "data": {
    "id": "01K946KF851RK7FX075GJHBVKF",
    "number": "9090583126022726",
    "code": "VA_BNI",
    "bank": {
      "short_name": "BRI",
      "number": "002",
      "swift_code": "BRINIDJA"
    },
    "amount": {
      "value": "1234.56",
      "currency": "IDR"
    },
    "amount_type": "closed",
    "status": "active",
    "kind": "temporary",
    "current_usage": 0,
    "expired_at": 1774000000000,
    "name": "Bakso Enak- John Doe",
    "merchant_reff_no": "INV-2026-001",
    "min_amount": {
      "value": "1234.56",
      "currency": "IDR"
    },
    "max_amount": {
      "value": "1234.56",
      "currency": "IDR"
    }
  }
}

Authorizations

Authorization
string
header
required

JWT issued by POST /api/v1.1/access-token/b2b. Send Authorization: Bearer <token>.

X-PARTNER-ID
string
header
required

Merchant API key (Credential.api_key). Required on every request.

Path Parameters

account_id
string
required

Account identifier in ULID format.

virtual_account_id
string
required

Virtual account identifier in ULID format. Use this value in path parameters (not the VA number).

Response

Success

status
integer
required

HTTP status code.

Example:

200

success
boolean
required

Indicates whether the request was successful.

Example:

true

data
object

Virtual account resource payload.